> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/0.5.2/api-reference/network-sdk/sample-ui.md).

# Sample UI

The **coherence** **Sample UI** prefab that comes bundled with the coherence SDK contains some basic UI controls that allows you to easily connect to and disconnect from servers.&#x20;

The connect dialog lists all available servers for your game. If the list is empty, please make sure you have [setup your game on the coherence portal](/0.5.2/get-started/create-an-account.md) and [deployed a replication server](/0.5.2/get-started/deploy-and-share.md). Also make sure you have selected the correct region from the **Region dropdown menu**.

{% hint style="info" %}
If you want to be connect to a Replication Server running on your local machine, make sure you have ticked **Local Development Mode** under **Project Settings -> coherence.**
{% endhint %}

The connect dialog comes in two flavors, one is for Rooms and the other is for Worlds. The **Connect Dialog Rooms** is enabled by default. If your project is configured for Worlds, you'll need to select the **coherence Sample UI** in the Hierarchy window and activate the **Connect Dialog Worlds**.

![Connect Dialog Rooms. There currently one room available on the local machine.](/files/v1ktW6sRa5xvvDpcdDCa)

**Connect Dialog Rooms** allows you to create or join rooms on the selected region.&#x20;

**Connect Dialog Worlds** allows you to join worlds on the selected region, but you can only create new worlds from the coherence portal.

{% hint style="info" %}
Note: You can also build your own interface to connect players to the server, or programmatically connect without any UI.
{% endhint %}

&#x20;&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coherence.io/0.5.2/api-reference/network-sdk/sample-ui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
